Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sql
Class ConnectionEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.sql.ConnectionEvent

All Implemented Interfaces:
  Serializable

public class ConnectionEvent
extends EventObject

An `Event` object that provides information about the source of a connection-related event. `ConnectionEvent` objects are generated when an application closes a pooled connection and when an error occurs. The `ConnectionEvent` object contains two kinds of information:

- The pooled connection closed by the application
- In the case of an error event, the `SQLException` about to be thrown to the application

Since:
  1.4
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ConnectionEvent(PooledConnection con)` Constructs a `ConnectionEvent` object initialized with the given `PooledConnection` object.
`ConnectionEvent(PooledConnection con, SQLException ex)` Constructs a `ConnectionEvent` object initialized with the given `PooledConnection` object and `SQLException` object.

Method Summary
`SQLException` | `getSQLException()` Retrieves the `SQLException` for this `ConnectionEvent` object.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionEvent

    public ConnectionEvent(PooledConnection con)

  Constructs a `ConnectionEvent` object initialized with the given `PooledConnection` object. `SQLException` defaults to `null`.

Parameters:
  `con` - the pooled connection that is the source of the event

### ConnectionEvent

    public ConnectionEvent(PooledConnection con,
                           SQLException ex)

  Constructs a `ConnectionEvent` object initialized with the given `PooledConnection` object and `SQLException` object.

Parameters:
  `con` - the pooled connection that is the source of the event
  `ex` - the SQLException about to be thrown to the application

Method Detail

### getSQLException

    public SQLException getSQLException()

  Retrieves the `SQLException` for this `ConnectionEvent` object. May be `null`.

  Returns:
    the SQLException about to be thrown or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.